import request from '@/utils/request'
import { BASE } from './apiGateway'

export function newOrder(data){
    return request({
        url: `${BASE}/emergency_assistance/newOrder`,
        method: 'post',
        data
    })
}

export function cancelOrder(data){
    return request({
        url: `${BASE}/emergency_assistance/cancelOrder`,
        method: 'post',
        data
    })
}

export function patientGetOrderDetail(params){
    return request({
        url: `${BASE}/emergency_assistance/patientGetOrderDetail`,
        method: 'get',
        params
    })
}


export function getOrderList(params){
    return request({
        url: `${BASE}/emergency_assistance/getOrderList`,
        method: 'get',
        params
    })
}

export function sendQuickMessage(data){
    return request({
        url: `${BASE}/emergency_assistance/sendQuickMessage`,
        method: 'post',
        data
    })
}

export function existApplyStatus(params){
    return request({
        url: `${BASE}/emergency_assistance/existApplyStatus`,
        method: 'get',
        params
    })
}

export function updatePatientLocation(data){
    return request({
        url: `${BASE}/emergency_assistance/updatePatientLocation`,
        method: 'post',
        data
    })
}

export function getTabStatusCounts(params){
    return request({
        url: `${BASE}/emergency_assistance/getTabStatusCounts`,
        method: 'get',
        params
    })
}


export function servicePackageByServerItem(params){
    return request({
        url: `${BASE}/sign/servicePackageByServerItem`,
        method: 'get',
        params
    })
}
